Summary:	PulseAudio Preferences - configuration dialog for PulseAudio sound server
Summary(pl.UTF-8):	PulseAudio Preferences - konfigurator serwera dźwięku PulseAudio
Name:		paprefs
Version:	1.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://freedesktop.org/software/pulseaudio/paprefs/%{name}-%{version}.tar.xz
# Source0-md5:	18514a18ad71048dfb4a61a20a48f510
URL:		http://freedesktop.org/software/pulseaudio/paprefs/
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-tools
BuildRequires:	glibmm-devel >= 2.26
BuildRequires:	gtkmm3-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libglademm-devel >= 2.4
BuildRequires:	libsigc++-devel >= 2.0
BuildRequires:	meson >= 0.40.1
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 1.1
BuildRequires:	rpmbuild(macros) >= 1.72
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glibmm >= 2.26
Requires:	pulseaudio
Requires:	pulseaudio-gsettings
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PulseAudio Preferences (paprefs) is a simple GTK+ based configuration
dialog for the PulseAudio sound server.

%description -l pl.UTF-8
PulseAudio Preferences (paprefs) to proste, oparte na GTK+ okno
dialogowe do konfiguracji serwera dźwięku PulseAudio.

%prep
%setup -q

%build
%meson build
%meson_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/paprefs
%{_datadir}/paprefs
%{_desktopdir}/paprefs.desktop
%changelog
* Tue Jul 31 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/paprefs.git;a=log;h=master

* Mon Jul 30 2018 Jan Palus <atler@pld-linux.org> 2032580
- up to 1.0

* Sun Nov 01 2015 Jan Rękorajski <baggins@pld-linux.org> cd1d1f9
- drop exact PA requirement, module-path.patch makes it obsolete
- rel 13

* Mon Oct 05 2015 Jan Rękorajski <baggins@pld-linux.org> 30077b8
- release 12 (by relup.sh)

* Mon Oct 05 2015 Jan Rękorajski <baggins@pld-linux.org> 6d76db5
- add -std=c++11, bits/c++0x_warning.h requires it

* Sat Oct 03 2015 Jan Rękorajski <baggins@pld-linux.org> 3092393
- add patches from upstream git

* Mon Mar 02 2015 Jan Rękorajski <baggins@pld-linux.org> 30400a5
- release 11 (by relup.sh)

* Sat Feb 28 2015 Jan Rękorajski <baggins@pld-linux.org> 764389b
- release 10 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 67ed9f9
- updated gettext BR

* Sun Mar 16 2014 Jan Rękorajski <baggins@pld-linux.org> 854f472
- release 9 (by relup.sh)

* Mon Jun 24 2013 Jan Rękorajski <baggins@pld-linux.org> ff27f54
- release 8 (by relup.sh)

* Wed May 01 2013 Elan Ruusamäe <glen@delfi.ee> 3830f76
- rel 7 (pulseaudio 3.0 rebuild)

* Mon Oct 15 2012 Jan Rękorajski <baggins@pld-linux.org> f20dc5f
- rel 6

* Wed May 16 2012 Elan Ruusamäe <glen@pld-linux.org> f2649fe
- release 5

* Sun Oct 23 2011 Elan Ruusamäe <glen@pld-linux.org> 38a4df7
- version lock, until solved

* Sun Oct 23 2011 Elan Ruusamäe <glen@pld-linux.org> d436fa8
- ensure building under pa 1.1

* Sun Oct 23 2011 Elan Ruusamäe <glen@pld-linux.org> 861847b
- rebuild with pulseaudio 1.1, it still searches libs from 1.0 dir:
  /usr/lib/pulse-1.0/modules

* Thu Oct 13 2011 Jakub Bogusz <qboosh@pld-linux.org> fc6d4c6
- updated to 0.9.10; should no longer require recompilation with every newer pulseaudio libs

* Sat Aug 13 2011 Elan Ruusamäe <glen@pld-linux.org> 75afaa4
- release 4

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 920e4b8
- BR: dbus-glib-devel

* Sat Jan 08 2011 Jan Palus <jan.palus@gmail.com> 2d59698
- %requires_eq pulseaudio as it checks for modules in
  %{_libdir}/pulse-%{pulsever}
- rel 3

